AMULECMD(1)

NAME
amulecmd - Console-based program to control aMule

SYNOPSIS
amulecmd [-h <host>] [-p <port>] [-P <passwd>] [-f <path>] [-q] [-v] [-l <lang>] [-w] [-c <command>]

amulecmd --create-config-from=<path>

amulecmd [--help]

amulecmd [--version]

DESCRIPTION
amulecmd is a console-based client to control aMule.

-h, --host=<host>
    Host where aMule is running (default: localhost). <host> might be an IP address or a DNS name

-p, --port=<port>
    aMule's port for External Connections, as set in Preferences->Remote Controls (default: 4712)

-P, --password=<passwd>
    External Connections password

-f, --config-file=<path>
    Use the given configuration file. Default configuration file is ~/.aMule/remote.conf

-q, --quiet
    Do not print any output to stdout. This seems to be a very much useless option with amulecmd.

-v, --verbose
    Be verbose - show also debug messages

-l, --locale=<lang>
    Sets program locale (language). See section LANGUAGES for the description of the <lang> parameter.

-w, --write-config
    Write command line options to config file and exit

-c, --command=<command>
    Execute <command> as if it was entered at amulecmd's prompt and exit.

--create-config-from=<path>
    Create config file based upon <path>, which must point to a valid aMule config file, and then exit

--help
    Prints a short usage description.

--version
    Displays the current version number.

COMMANDS
All commands are case insensitive.

  Add <ed2k-link>
Adds an ed2k-link to the core. The ed2k link to be added can be:
*) a file link (ed2k://|file|...), it will be added to the download queue;
*) a server link (ed2k://|server|...), it will be added to the server list;
*) or a serverlist link, in which case all servers in the list will be added to the server list. This command must have an argument.

  Cancel <hash>
Cancels the download specified by hash. To get the hash use show.

  Connect (kad|ed2k<ip|name>)
Connect to the network. This will connect to all networks that are enabled in Preferences. When giving ed2k as parameter, it connects only to ed2k-network to servers in your serverlist. You may also optionally specify a server address in IP:Port form, to connect to that server only. The IP must be a dotted decimal IPv4 address, or a resolvable DNS name. When giving kad, it connects to Kad only.

  Disconnect (ed2k|kad)
Disconnect from all networks you are connected to, or just disconnect from the specified network.

  Download num
Start downloading a file. The number of a file from the last search has to be given. Example: 'download 12' will start to download the file with the number 12 of the previous search. This command must have an argument.

  Exit
Disconnect from amule/amuled and quit amulecmd.

  Get value
Get and display a preference value. This command is incomplete, available values are listed below. Available values to get:
BwLimits    Get bandwidth limits.
IPFilter    Get IPFilter preferences.

  Help <command>
Get a short help. If called without parameter, it shows a list of available commands. If called with <command>, it shows a short description of the given command.

  Pause <hash>
Pauses the download specified by hash. To get the hash use show.

  Progress
Shows the progress of an on-going search. This command can't have an argument.

  Quit
Exits the App. This command can't have an argument.

  Reload
Reloads a given object. This command is incomplete, available values are listed below. Available values to get:
BwLimits    Reload bandwidth limits.
IPFilter    Reload IPFilter preferences.

  Reset
Reset the log. This command can't have an argument.

  Results
Shows you the results of the last search. This command can't have an argument.

  Resume <hash>
Resumes the download specified by hash. To get the hash use show.

  Search global|kad|local file
Makes a search for the given file. A searchtype and a file to search is mandatory to do this. Example 'search kad amule' performs a kad search for amule. Available searchtypes:
global    performs a global search
kad    performs a search on kad network
local    performs a local search

  Set <value>
Sets a given preferences value. This command is incomplete, available values are listed below. Available values to get:
BwLimits    Set bandwidth limits.
IPFilter    Set IPFilter preferences.

  Show DL|Log|Servers|UL
Shows upload/download queue, servers list or shared files list. This command must have an argument. This command is incomplete, you must use one of the extensions below. Available extensions:
DL    Show download queue.
Log    Show log.
Servers    Show servers list.
UL    Show upload queue.

  Shutdown
Shutdown the remote running core (amule/amuled). This will also shut down the text client, since it is unusable without a running core. This command can't have an argument.

  Statistics <num>
Show statistics tree. The optional number in the range of 0-255 can be passed as argument to this command, which tells how many entries of the client version subtree should be shown. Passing 0, or omitting it means 'unlimited'. Example: 'statistics 5' will show only the top 5 versions for each client type.

  Status
Show connection status, current up/download speeds, etc.

NOTES

  Paths
For all options which take a <path> value, if the path contains no directory part (i.e. just a plain filename), then it is considered to be under the aMule configuration directory, ~/.aMule.

  LANGUAGES
The <lang> parameter for the -l option has the following form: lang[_LANG][.encoding][@modifier] where lang is the primary language, LANG is a sublanguage/territory, encoding is the character set to use and modifier "allows the user to select a specific instance of localization data within a single category".

For example, the following strings are valid:
de
de_DE
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Though all the above strings are accepted as valid language definitions, encoding and modifier are yet unused.

In addition to the format above, you can also specify full language names in English - so -l german is also valid and is equal to -l de_DE.

When no locale is defined, either on command-line or in config file, system default language will be used.

FILES
~/.aMule/remote.conf

EXAMPLE
Typically amulecmd will be first run as:

amulecmd -h hostname -p ECport -P ECpassword -w

or

amulecmd --create-config-from=/home/username/.aMule/amule.conf

These will save settings to $HOME/.aMule/remote.conf, and later you only need to type:

amulecmd

Of course, you don't have to follow this example.

REPORTING BUGS
Please report bugs either on our forum (http://forum.amule.org/), or in our bugtracker (http://bugs.amule.org/). Please do not report bugs in e-mail, neither to our mailing list nor directly to any team member.

COPYRIGHT
aMule and all of its related utilities are distributed under the GNU General Public License.

SEE ALSO
amule(1), amuleweb(1)